using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Main : System.Web.UI.Page
{
    
    protected void Page_Load(object sender, EventArgs e)
    {
        DropDownList1.Attributes.Add("onclick", "ShowCountry()");
        DropDownList2.Attributes.Add("onclick", "ShowState()");
        if (!IsPostBack)
        {
            string url = this.Request.Url.AbsoluteUri.ToString();
            string absoluteUrl = url.Substring(0, url.LastIndexOf('/'))+"/Page2.aspx"; 

            if (Request.ServerVariables["HTTP_REFERER"]==absoluteUrl)
            {
                DropDownList1.SelectedValue = Session["Country"].ToString();
                DropDownList2.SelectedValue = Session["State"].ToString();
            }
        }
        

    }
    protected void CallbackPanel1_CallbackRefresh(object sender, Syncfusion.Web.UI.WebControls.CancellableCallbackEventArgs e)
    {
        if (e.CallbackArgument == "show")
        {
            Session["Country"] = DropDownList1.SelectedValue.ToString();    
        }
    }
    protected void CallbackPanel2_CallbackRefresh(object sender, Syncfusion.Web.UI.WebControls.CancellableCallbackEventArgs e)
    {
        if (e.CallbackArgument == "store")
        {
            Session["State"] = DropDownList2.SelectedValue.ToString();
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Redirect("Page1.aspx");  
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("Page2.aspx");
    }
}
